Eclipse Platform Release 3.7

## org.eclipse.update.core
Class JarContentReference.ContentSelector

    java.lang.Object
      org.eclipse.update.core.JarContentReference.ContentSelector

Enclosing class:
  JarContentReference

    public static class JarContentReference.ContentSelector

extends Object

Content selector used in .jar operations. Default implementation causes all file entries to be selected with generated identifiers being the same as the original .jar entry name.

Since:
  2.0

Constructor Summary
`JarContentReference.ContentSelector()`

Method Summary
`String` `defineIdentifier(JarEntry entry)` Defines the "symbolic" path identifier for the entry.
`boolean` `include(JarEntry entry)` Indicates whether the .jar entry should be selected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarContentReference.ContentSelector

    public JarContentReference.ContentSelector()

Method Detail

### include

    public boolean include(JarEntry entry)

  Indicates whether the .jar entry should be selected. Default behavior is to select all non-directory entries.

  Parameters:
    `entry` - .jar entry
  Returns:
    `true` if entry is to be selected, `false` otherwise
  Since:
    2.0

### defineIdentifier

    public String defineIdentifier(JarEntry entry)

  Defines the "symbolic" path identifier for the entry. Default identifier is the same as the jar entry name.

  Parameters:
    `entry` - .jar entry
  Returns:
    "symbolic" path identifier
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.